Lists all check results

[DEPRECATED] This endpoint will be removed soon. Please use the GET /v2/check-results/{checkId} endpoint instead.
Lists the full, raw check results for a specific check. We keep raw results for 30 days. After 30 days they are erased. However, we keep the rolled up results for an indefinite period.

You can filter by check type and result type to narrow down the list. Use the to and from parameters to specify a date range (UNIX timestamp in seconds). Depending on the check type, some fields might be null.

This endpoint will return data within a 6-hour timeframe. If the from and to params are set, they must be at most six hours apart. If none are set, we will consider the to param to be now and the from param to be six hours earlier. If only the to param is set we will set from to be six hours earlier. On the contrary, if only the from param is set we will consider the to param to be six hours later.

Rate-limiting is applied to this endpoint, you can send 5 requests / 10 seconds at most.

Path Params
string
required
Query Params
integer
1 to 100
Defaults to 10

Limit the number of results

number
Defaults to 1

Page number

date

Select records up from this UNIX timestamp (>= date). Defaults to now - 6 hours.

date

Optional. Select records up to this UNIX timestamp (< date). Defaults to 6 hours after "from".

string
enum

Provide a data center location, e.g. "eu-west-1" to filter by location

string
enum

The type of the check

boolean

Check result has one or more failures

string
enum
Defaults to FINAL

The check result type (FINAL,ATTEMPT,ALL)

Allowed:
Headers
string

Your Checkly account ID, you can find it at https://app.checklyhq.com/settings/account/general

Responses

Language
Credentials
Header
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json